# QWebSettings Class Reference

### [com.trolltech.qt.webkit package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QWebSettings prototype object
- void clearIconDatabase()
- void clearMemoryCaches()
- void enablePersistentStorage(String path)
- QWebSettings globalSettings()
- String iconDatabasePath()
- QIcon iconForUrl(QUrl url)
- int maximumPagesInCache()
- qint64 offlineStorageDefaultQuota()
- String offlineStoragePath()
- String offlineWebApplicationCachePath()
- qint64 offlineWebApplicationCacheQuota()
- void setIconDatabasePath(String location)
- void setMaximumPagesInCache(int pages)
- void setObjectCacheCapacities(int cacheMinDeadCapacity, int cacheMaxDead, int totalCapacity)
- void setOfflineStorageDefaultQuota(qint64 maximumSize)
- void setOfflineStoragePath(String path)
- void setOfflineWebApplicationCachePath(String path)
- void setOfflineWebApplicationCacheQuota(qint64 maximumSize)
- void setWebGraphic(WebGraphic type, QPixmap graphic)
- QPixmap webGraphic(WebGraphic type)
- MinimumFontSize
- MinimumLogicalFontSize
- DefaultFontSize
- DefaultFixedFontSize
- FontSize( value )
- MissingImageGraphic
- MissingPluginGraphic
- DefaultFrameIconGraphic
- TextAreaSizeGripCornerGraphic
- DeleteButtonGraphic
- InputSpeechButtonGraphic
- SearchCancelButtonGraphic
- SearchCancelButtonPressedGraphic
- WebGraphic( value )
- StandardFont
- FixedFont
- SerifFont
- SansSerifFont
- CursiveFont
- FantasyFont
- FontFamily( value )
- AutoLoadImages
- JavascriptEnabled
- JavaEnabled
- PluginsEnabled
- PrivateBrowsingEnabled
- JavascriptCanOpenWindows
- JavascriptCanAccessClipboard
- DeveloperExtrasEnabled
- LinksIncludedInFocusChain
- ZoomTextOnly
- PrintElementBackgrounds
- OfflineStorageDatabaseEnabled
- OfflineWebApplicationCacheEnabled
- LocalStorageEnabled
- LocalContentCanAccessRemoteUrls
- DnsPrefetchEnabled
- XSSAuditingEnabled
- AcceleratedCompositingEnabled
- SpatialNavigationEnabled
- LocalContentCanAccessFileUrls
- TiledBackingStoreEnabled
- FrameFlatteningEnabled
- SiteSpecificQuirksEnabled
- JavascriptCanCloseWindows
- WebGLEnabled
- CSSRegionsEnabled
- HyperlinkAuditingEnabled
- CSSGridLayoutEnabled
- ScrollAnimatorEnabled
- CaretBrowsingEnabled
- NotificationsEnabled
- WebAttribute( value )

### Prototype Object Properties

- String defaultTextEncoding()
- String fontFamily(FontFamily which)
- int fontSize(FontSize type)
- String localStoragePath()
- void resetAttribute(WebAttribute attr)
- void resetFontFamily(FontFamily which)
- void resetFontSize(FontSize type)
- void setAttribute(WebAttribute attr, bool on)
- void setDefaultTextEncoding(String encoding)
- void setFontFamily(FontFamily which, String family)
- void setFontSize(FontSize type, int size)
- void setLocalStoragePath(String path)
- void setUserStyleSheetUrl(QUrl location)
- bool testAttribute(WebAttribute attr)
- QUrl userStyleSheetUrl()

### Instance Properties

QWebSettings objects have no special properties beyond those inherited from the QWebSettings prototype object.